# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc空数据校验_白名单批量导入,2299,2299-28,sit,bs
主数据平台:后台运营系统白名单批量导入接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import os

module = "cmdc_area"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/白名单导入模板_空.xlsx"

# 第二步进行白名单批量导入
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url28")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""
 场景: 空数据校验_白名单批量导入
 用例名称：空数据校验_白名单批量导入
 输出：{"success":false,"code":"siteopen","message":"第2行用户不存在","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict28")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

