# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc新增商品至购物车_商品超数量验证,2252,2252-1,sit,bs
主数据平台:多采商城购物车列表新增商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json


module = "cmdc_buyercar_list"


# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers4", cmdc_access_token)

# 添加商品至购物车列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body = commonFuc().get_business_data(module, "payload36")

"""

 场景:新增商品至购物车_商品超数量验证
 用例名称：新增商品至购物车_商品超数量验证
 输出：{"success":false,"code":"1076","message":"该商品在购物车已达到最大数量，无法加入更多","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result.elapsed.total_seconds()
result = json.loads(result.content)
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict36")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
