# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc宽限期批量新增导入日志查询,2298,2298-23,sit,bs
主数据平台:后台运营系统宽限期批量新增导入日志查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_hospital"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取导入日志信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url30")

"""

 场景: 宽限期批量新增导入日志查询
 用例名称：宽限期批量新增导入日志查询
 输出：{"status":2}
"""

# 发送请求
result = requests.get(url, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取导入记录状态
result = json.loads(result.content)
result = {"status": result["data"]["list"][0]["status"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict30")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

